pcl::BinaryTreeThresholdBasedBranchEstimator Class Reference

Branch estimator for binary trees where the branch is computed only from the threshold. More...

`#include <pcl/ml/branch_estimator.h>`

Inheritance diagram for pcl::BinaryTreeThresholdBasedBranchEstimator:

## Public Member Functions

| BinaryTreeThresholdBasedBranchEstimator ()
| Constructor. More...
virtual | ~BinaryTreeThresholdBasedBranchEstimator ()
| Destructor. More...
size_t | getNumOfBranches () const
| Returns the number of branches the corresponding tree has. More...
void | computeBranchIndex (const float result, const unsigned char flag, const float threshold, unsigned char &branch_index) const
| Computes the branch index for the specified result. More...
Public Member Functions inherited from pcl::BranchEstimator
virtual | ~BranchEstimator ()
| Destructor. More...

## Detailed Description

Branch estimator for binary trees where the branch is computed only from the threshold.

Definition at line 76 of file branch_estimator.h.

## Constructor & Destructor Documentation

## BinaryTreeThresholdBasedBranchEstimator()

pcl::BinaryTreeThresholdBasedBranchEstimator::BinaryTreeThresholdBasedBranchEstimator | ( |  | ) |

inline

Constructor.

Definition at line 81 of file branch_estimator.h.

## ~BinaryTreeThresholdBasedBranchEstimator()

virtual pcl::BinaryTreeThresholdBasedBranchEstimator::~BinaryTreeThresholdBasedBranchEstimator | ( |  | ) |

inline virtual

Destructor.

Definition at line 83 of file branch_estimator.h.

## Member Function Documentation

## computeBranchIndex()

void pcl::BinaryTreeThresholdBasedBranchEstimator::computeBranchIndex | ( | const float | result,
|  | const unsigned char | flag,
|  | const float | threshold,
|  | unsigned char & | branch_index
| ) |  | const

inline virtual

Computes the branch index for the specified result.

Parameters

  [in] | result | The result the branch index will be computed for.
  [in] | flag | The flag corresponding to the specified result.
  [in] | threshold | The threshold used to compute the branch index.
  [out] | branch_index | The destination for the computed branch index.

Implements pcl::BranchEstimator.

Definition at line 99 of file branch_estimator.h.

## getNumOfBranches()

size_t pcl::BinaryTreeThresholdBasedBranchEstimator::getNumOfBranches | ( |  | ) | const

inline virtual

Returns the number of branches the corresponding tree has.

Implements pcl::BranchEstimator.

Definition at line 87 of file branch_estimator.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/ml/include/pcl/ml/branch_estimator.h